complexType "PositionPayment"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 8 elements
Defined: | globally in fpml-reporting-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | identifier?, payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, paymentAmount?, adjustedPaymentDate?, calculationDetails*
</...>

Content Model Elements (8):

  adjustedPaymentDate (in payment in position in positionReport),
  calculationDetails (in payment in position in positionReport),
  identifier (defined in PaymentDetails.model group),
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  paymentAmount (defined in PaymentDetails.model group),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group)

All Direct / Indirect Based Elements (1):

  payment (in position in positionReport)

Known Usage Locations

- As direct type of elements (1):
  payment (in position in positionReport)

Annotation
A global type describing the payment exposed to the matching process, along with its gross component(s) and calculation details.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="PositionPayment"> <xsd:sequence> <xsd:group ref="PaymentDetails.model"/> <xsd:element minOccurs="0" name="adjustedPaymentDate" type="xsd:date"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculationDetails" type="CalculationDetails"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/8)
adjustedPaymentDate

  Type: | xsd:date, predefined, simple content

  The date on which this payment will settle.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedPaymentDate" type="xsd:date"/>

calculationDetails

  Type: | CalculationDetails, complex content

  The set of cash flow components with calculations that comprise this payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculationDetails" type="CalculationDetails"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.